For Developers
Delete Product
DELETE https://ed.link/api/v2/teams/:team_id/products/:product_id
Permanently removes a product from the catalog.
Permissions
Requires the products.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:product_id | UUID | Yes | The ID of the product to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/products/${product_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "e891024b-3211-479c-9c3f-918239023412",
"deleted": true
}
}
